-- Version: 7.2 7.2.0.31

library ieee;
use ieee.std_logic_1164.all;
library fusion;

entity RCO is 
    port(CLKOUT : out std_logic) ;
end RCO;


architecture DEF_ARCH of  RCO is

    component RCOSC
        port(CLKOUT : out std_logic) ;
    end component;

    component CLKSRC
        port(A : in std_logic := 'U'; Y : out std_logic) ;
    end component;

    component GND
        port( Y : out std_logic);
    end component;

    signal CLKOUTTEMP, GND_1_net : std_logic ;
    begin   

    GND_2_net : GND port map(Y => GND_1_net);
    RCOSC1 : RCOSC
      port map(CLKOUT => CLKOUTTEMP);
    clksrc1 : CLKSRC
      port map(A => CLKOUTTEMP, Y => CLKOUT);
end DEF_ARCH;
